dnl $Id: configure.in,v 1.14 2010/09/17 15:33:04 thernis Exp $
AC_INIT(scraytrace,2.5,,,[http://secchi.nrl.navy.mil/wiki/pmwiki.php?n=Main.DataProcessingAndAnalysis])
dnl AC_INIT(configure.in)
AC_REVISION([$Id: configure.in,v 1.14 2010/09/17 15:33:04 thernis Exp $])

AC_CONFIG_MACRO_DIR([m4])


AM_CONFIG_HEADER(config.h)
AM_INIT_AUTOMAKE(scraytrace, 2.5)

AC_PROG_CXX
AM_PROG_LIBTOOL


dnl AC_LANG_CPLUSPLUS
dnl AC_HEADER_STDBOOL
dnl AC_C_CONST
dnl AC_C_INLINE
dnl AC_CHECK_FUNCS([floor pow sqrt])
dnl AC_CHECK_HEADERS([cppunit/TestCase.h])
dnl AC_CHECK_LIB(dl,[dlopen])
dnl AC_CHECK_LIB(nsl,[xdr_float])


dnl ---- Library and header check for compilation on Solaris
AC_SEARCH_LIBS([dlopen],[dl])
AC_SEARCH_LIBS([xdr_float],[nsl])
AC_CHECK_HEADERS([sunmath.h])
AC_SEARCH_LIBS([quiet_nan],[sunmath])


dnl ---- Check for boost
AX_BOOST_BASE([1.37.0])
AX_BOOST_THREAD



AC_OUTPUT(Makefile src/Makefile)
